#!/bin/bash
# recurse.sh

# Un script peut-il s'appeler récursivement ?
# Oui, mais est-ce d'une utilité quelconque ?
# Voir le script suivant.

ECHELLE=10
VALMAX=9

i=$RANDOM
let "i %= $ECHELLE"  # Génère un nombre aléatoire entre 0 et $VALMAX.

if [ "$i" -lt "$VALMAX" ]
then
  echo "i = $i"
  ./$0       #  Le script lance récursivement une nouvelle instance de lui-même.
fi           #  Chaque fil du script fait de même jusqu'à ce que la valeur
             #+ générée $i soit égale à $VALMAX.

# Utiliser une boucle "while" au lieu d'un test "if/then" pose des problèmes.
# Expliquez pourquoi.

exit 0

# Note :
# -----
# Ce script doit avoir le droit d'exécution pour fonctionner correctement.
# C'est le cas même s'il est appelé par une commande "sh".
# Expliquez pourquoi.